package com.inspect.metadata.mqtt.service.impl;

import com.inspect.metadata.mqtt.domain.HrTaskProcess;
import com.inspect.metadata.mqtt.mapper.HrTaskProcessMapper;
import com.inspect.metadata.mqtt.service.IHrTaskProcessService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class HrTaskProcessServiceImpl implements IHrTaskProcessService {
    private final HrTaskProcessMapper taskProcessMapper;

    @Override
    public List<HrTaskProcess> selectTaskProcessList(HrTaskProcess process) {
        return taskProcessMapper.selectTaskProcessList(process);
    }

    @Override
    public Integer insertTaskProcess(HrTaskProcess taskProcess) {
        return taskProcessMapper.insertTaskProcess(taskProcess);
    }

    @Override
    public Integer countWarnThreeDay(HrTaskProcess taskProcess) {
        return taskProcessMapper.countWarnThreeDay(taskProcess);
    }
}
